Subject: [manet] aodv-uu version 0.8.1

From: "Azalea" <[email-masked]>
Date: Tue, 19 Jul 2005 16:06:17 +0800

Hi,

 I am still not able to get my aodv running (maybe it has but i am not sure
what i sould be looking for/ get)

 When ever i run my aodvd with option -i eth1 -l -r 3, i keep getting the
same messages

 [root@azalea aodv-uu-0.8.1]# ./aodvd -i eth1 -l -r  3
  12:40:23.678 packet_input_init: Netlink socket buffer is 131070
  12:40:23.678 aodv_socket_init: RAW send socket buffer size set to 131070
  12:40:23.679 aodv_socket_init: Receive buffer size set to 131070
  12:40:23.679 main: In wait on reboot for 15000 milliseconds. Disable with
"-D".
  12:40:23.679 hello_start: Starting to send HELLOs!
  12:40:38.685 wait_on_reboot_timeout: Wait on reboot over!!

 below is the list of modules loaded in my kernel : command "lsmod"

 ide-cd
 cdrom
 kaodv
 ip_queue
 i830
 agpgart
 input
 ext3
 parport_pc
 Ip
 parport
 autofs
 usb_uhci
 jbd
 airo
 bcm4400
 ip_REJECT
 iptable_filter
 ehci_hcd
 ip_tables
 keybdev
 mousedev
 hid
 usbcore

 when i check the route while aodvd is running i get this

 Destination	Gateway	Genmask		Flags	Metric	Ref	Use	Iface
 192.168.168.0	*		255.255.255.0	u	0		0	0	eth1
 169.254.0.0	*		255.255.0.0		u	0		0	0	eth1
 127.0.0.0		*		255.0.0.0		u	0		0	0	lo

 also attached is list of result i got on iptables "iptables -L"

 I have checked my config. They are the same on both nodes. However i still
get the same message. Is there any other software tool do i need to use
together with aodv-uu code. From information i gathered from the net some
use PING, NetPIPE  and MGEN together with aodv-uu. Do you know about them?

Also
 1. Should i run aodvd simultaneously on both node?
 2.What should i expect to see after running aodvd?
 3. How do i know that the two nodes are communicating via aodv protocol?
 4.Let say I have a file to send to the other node, how do i do that using
aodv routing? Please help.

 Really appreciate you help. Looking foward to hear from you. Thank you

 -Azalea
_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet